Bug 251602 - Kernel panics when running pine with particular configuration
Kernel panics when running pine with particular configuration
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-09 18:03 EDT by Richard Brittain
Modified: 2014-06-18 03:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 06:26:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Brittain 2007-08-09 18:03:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070509 SeaMonkey/1.1.2

Description of problem:
Running kernel 2.6.9-55.0.2.ELsmp on a x86_64 system, I can generate a kernel
panic and system crash by running pine 4.64 from University of Washington
(RPM pine-4.64-1.i386) with a particular mail filter configuration.
This is most likely a bug in pine too, but shouldn't be able to panic the kernel
from purely user code

Version-Release number of selected component (if applicable):
kernel-2.6.9-55.0.2.EL.x86_64

How reproducible:
Always


Steps to Reproduce:
1. Set up a pine message filter rule for messages addressed to the current hostname
2. Run pine 4.64.  
3.

Actual Results:
As pine performs its message filter checks against the current inbox, it triggers a kernel panic.  Messages appear on the system console - enough to identify pine as the culprit, but are not written to system logs. 

Expected Results:


Additional info:
Comment 1 Jeff Layton 2007-08-13 08:16:23 EDT
Would it be possible to get the oops message from this panic? That might give us
some indication of how best to reproduce this.
Comment 2 Jeff Layton 2008-01-15 06:26:19 EST
No response in several months. Closing bug with resolution of INSUFFICIENT_DATA.
Please reopen if you're still able to reproduce this and can provide more info.

Note You need to log in before you can comment on or make changes to this bug.